Name:           audex
Version:        0.98
Release:        %mkrel 1
Summary:        Audio ripper
Group:          Sound/Utilities
License:        BSD-3-Clause AND CC0-1.0 AND GPL-2.0-or-later AND GPL-3.0-or-later AND LGPL-2.0-or-later
URL:            https://apps.kde.org/audex/
Source:         https://invent.kde.org/multimedia/audex/-/archive/v%{version}/%{name}-v%{version}.tar.bz2

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6Core5Compat)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Solid)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KCddb6)

BuildRequires:  cdparanoia-devel
BuildRequires:  gettext

# encoder backends
Recommends:     flac
Recommends:     lame
Recommends:     vorbis-tools

%description
Audex is an audio grabber tool for CD-ROM drives built with KDE Frameworks.

%files -f %{name}.lang
%doc README.md
%license LICENSES/*.txt
%{_kf6_bindir}/audex
%{_kf6_datadir}/solid/actions/audex-rip-audiocd.desktop
%{_kf6_datadir}/applications/org.kde.audex.desktop
%{_kf6_iconsdir}/hicolor/*/apps/audex.*
%{_kf6_datadir}/audex/
%{_kf6_metainfodir}/org.kde.audex.appdata.xml

#------------------------------------------------------------------------------

%prep
%autosetup -n %{name}-v%{version} -p1

%build
%cmake_kf6 -DQT_MAJOR_VERSION=6
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Mon Jan 15 2024 daviddavid <daviddavid> 0.98-1.mga10
+ Revision: 2031223
- initial package audex


* Wed Oct 21 2009 Anne Nicolas <anne.nicolas@mandriva.com> 0.71b5-2mdv2010.0
+ Revision: 458547
- fix group

* Sat Jul 04 2009 Bruno Cornec <bcornec@mandriva.org> 0.71b5-1mdv2010.0
+ Revision: 392038
- Import audex 0.71b5
- create audex

